Checks if multiple results are available

- « odbc_longreadlen

- odbc_num_fields »

- PHP Manual
- ODBC Functions
- Checks if multiple results are available

# odbc_next_result

(PHP 4 >= 4.0.5, PHP 5, PHP 7, PHP 8)

odbc_next_result — Checks if multiple results are available

### Description

odbc_next_result(resource `$statement`): bool

Checks if there are more result sets available as well as allowing access to the next result set via odbc_fetch_array(), odbc_fetch_row(), odbc_result(), etc.

### Parameters

`statement`

  The result identifier.

### Return Values

Returns `true` if there are more result sets, `false` otherwise.

### Examples

Example #1 odbc_next_result()

    <?php$r_Connection = odbc_connect($dsn, $username, $password);$s_SQL = <<<END_SQLSELECT 'A'SELECT 'B'SELECT 'C'END_SQL;$r_Results = odbc_exec($r_Connection, $s_SQL);$a_Row1 = odbc_fetch_array($r_Results);$a_Row2 = odbc_fetch_array($r_Results);echo "Dump first result set";var_dump($a_Row1, $a_Row2);echo "Get second results set ";var_dump(odbc_next_result($r_Results));$a_Row1 = odbc_fetch_array($r_Results);$a_Row2 = odbc_fetch_array($r_Results);echo "Dump second result set ";var_dump($a_Row1, $a_Row2);echo "Get third results set ";var_dump(odbc_next_result($r_Results));$a_Row1 = odbc_fetch_array($r_Results);$a_Row2 = odbc_fetch_array($r_Results);echo "Dump third result set ";var_dump($a_Row1, $a_Row2);echo "Try for a fourth result set ";var_dump(odbc_next_result($r_Results));?>

The above example will output:

    Dump first result set array(1) {
      ["A"]=>
      string(1) "A"
    }
    bool(false)
    Get second results set bool(true)
    Dump second result set array(1) {
      ["B"]=>
      string(1) "B"
    }
    bool(false)
    Get third results set bool(true)
    Dump third result set array(1) {
      ["C"]=>
      string(1) "C"
    }
    bool(false)
    Try for a fourth result set bool(false)